<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage  Blogable
	 * @since  Blogable 1.0.0
	 */

	/**
	 * blogable_doctype hook
	 *
	 * @hooked blogable_doctype -  10
	 *
	 */
	do_action( 'blogable_doctype' );

?>
<head>
<?php
	/**
	 * blogable_before_wp_head hook
	 *
	 * @hooked blogable_head -  10
	 *
	 */
	do_action( 'blogable_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * blogable_page_start_action hook
	 *
	 * @hooked blogable_page_start -  10
	 *
	 */
	do_action( 'blogable_page_start_action' ); 

	/**
	 * blogable_loader_action hook
	 *
	 * @hooked blogable_loader -  10
	 *
	 */
	do_action( 'blogable_before_header' );

	/**
	 * blogable_header_action hook
	 *
	 * @hooked blogable_site_branding -  10
	 * @hooked blogable_header_start -  20
	 * @hooked blogable_site_navigation -  30
	 * @hooked blogable_header_end -  50
	 *
	 */
	do_action( 'blogable_header_action' );

	/**
	 * blogable_content_start_action hook
	 *
	 * @hooked blogable_content_start -  10
	 *
	 */
	do_action( 'blogable_content_start_action' );

    /**
     * blogable_header_image_action hook
     *
     * @hooked blogable_header_image -  10
     *
     */
    do_action( 'blogable_header_image_action' );
	
