<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Blogable
 * @since  Blogable 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'blogable_layout',
	array(
		'title'               => esc_html__('Layout','blogable'),
		'description'         => esc_html__( 'Layout section options.', 'blogable' ),
		'panel'               => 'blogable_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'blogable_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'blogable_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  Blogable_Custom_Radio_Image_Control ( $wp_customize,
	'blogable_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'blogable' ),
			'section'             => 'blogable_layout',
			'choices'			  => blogable_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'blogable_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'blogable_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  Blogable_Custom_Radio_Image_Control ( $wp_customize,
	'blogable_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'blogable' ),
			'section'             => 'blogable_layout',
			'choices'			  => blogable_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'blogable_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'blogable_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  Blogable_Custom_Radio_Image_Control ( $wp_customize,
	'blogable_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'blogable' ),
			'section'             => 'blogable_layout',
			'choices'			  => blogable_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'blogable_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'blogable_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  Blogable_Custom_Radio_Image_Control( $wp_customize,
	'blogable_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'blogable' ),
			'section'             => 'blogable_layout',
			'choices'			  => blogable_sidebar_position(),
		)
	)
);